Organization activity
Returns a single organization activity by ID.
GET
/
v1
/
organizations
/
{organizationId}
/
activities
/
{activityId}
Organization activity
curl --request GET \
--url https://api.clickhouse.cloud/v1/organizations/{organizationId}/activities/{activityId} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.clickhouse.cloud/v1/organizations/{organizationId}/activities/{activityId}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.clickhouse.cloud/v1/organizations/{organizationId}/activities/{activityId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"result": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"actorId": "<string>",
"actorDetails": "<string>",
"actorIpAddress": "<string>",
"organizationId": "<string>",
"serviceId": "<string>",
"userAgent": "<string>"
}
}{
"status": 400,
"error": "<string>"
}Authorizations
Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi
Path Parameters
ID of the requested organization.
ID of the requested activity.
Last modified on July 1, 2026
Was this page helpful?
Previous
Get private endpoint configuration for region within cloud provider for an organizationDeprecated. Please follow [documentation](https://clickhouse.com/docs/manage/security/aws-privatelink#add-endpoint-id-to-services-allow-list) for the updated process.
Next
⌘I
Organization activity
